[package]
name = "javascript-engine"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[lib]
crate-type = ['cdylib']

[dependencies]
anyhow = "1.0.68"
boa_engine = { version = "0.16.0", path = "external/boa/boa_engine"}
getrandom = { version = "0.2.8", features = ["js"] }
serde = { version = "1.0", features = ["derive"] }
serde_json = "1.0"

[patch.crates-io]
iana-time-zone = { path = "external/iana-time-zone" }
getrandom = { path = "external/getrandom" }
chrono = { path = "external/chrono" }

[profile.release]
lto = true
opt-level = 'z'

